Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.turbine.services.security.ldap
Class LDAPSecurityConstants

    java.lang.Object
      org.apache.turbine.services.security.ldap.LDAPSecurityConstants

    public class LDAPSecurityConstants

extends Object

This is a static class for defining the default ldap confiquration keys used by core Turbine components.

Version:
  $Id: LDAPSecurityConstants.java 957284 2010-06-23 17:53:31Z tv $
Author:
  Jason van Zyl, Humberto Hernandez

Field Summary
`static String` | `LDAP_ADMIN_PASSWORD_KEY` Property key
`static String` | `LDAP_ADMIN_USERNAME_KEY` Property key
`static String` | `LDAP_AUTH_DEFAULT` Property default value
`static String` | `LDAP_AUTH_KEY` Property key
`static String` | `LDAP_BASE_SEARCH_KEY` Property key
`static String` | `LDAP_HOST_DEFAULT` Property default value
`static String` | `LDAP_HOST_KEY` Property key
`static String` | `LDAP_PORT_DEFAULT` Property default value
`static String` | `LDAP_PORT_KEY` Property key
`static String` | `LDAP_PROVIDER_DEFAULT` Property default value
`static String` | `LDAP_PROVIDER_KEY` Property key
`static String` | `LDAP_USER_EMAIL_DEFAULT` Property default value
`static String` | `LDAP_USER_EMAIL_KEY` Property key
`static String` | `LDAP_USER_FIRSTNAME_DEFAULT` Property default value
`static String` | `LDAP_USER_FIRSTNAME_KEY` Property key
`static String` | `LDAP_USER_LASTNAME_DEFAULT` Property default value
`static String` | `LDAP_USER_LASTNAME_KEY` Property key
`static String` | `LDAP_USER_PASSWORD_DEFAULT` Property default value
`static String` | `LDAP_USER_PASSWORD_KEY` Property key
`static String` | `LDAP_USER_USERID_DEFAULT` Property default value
`static String` | `LDAP_USER_USERID_KEY` Property key
`static String` | `LDAP_USER_USERNAME_DEFAULT` Property default value
`static String` | `LDAP_USER_USERNAME_KEY` Property key

Constructor Summary
`LDAPSecurityConstants()`

Method Summary
`static String` | `getAdminPassword()` Get the value of the property for the administration password.
`static String` | `getAdminUsername()` Get the value of the property for the administration username.
`static String` | `getBaseSearch()` Get value of the property for the Base Search.
`static String` | `getEmailAttribute()` Get the value of the E-Mail Attribute.
`static String` | `getFirstNameAttribute()` Get the value of the Firstname Attribute.
`static String` | `getLastNameAttribute()` Get the value of the Lastname Attribute.
`static String` | `getLDAPAuthentication()` Get the value of the property for the Authentication mechanism.
`static String` | `getLDAPHost()` Get the value of the property for the LDAP Host.
`static String` | `getLDAPPort()` Get the value of the property for the LDAP Port.
`static String` | `getLDAPProvider()` Get the value of the property for the LDAP Provider.
`static String` | `getNameAttribute()` Get the value of the Username Attribute.
`static String` | `getPasswordAttribute()` Get the value of the Password Attribute.
`static Properties` | `getProperties()` Get all the properties for the security service.
`static String` | `getProperty(String key)` Get a property from the LDAP security service.
`static String` | `getProperty(String key, String defaultValue)` Get a property from the LDAP security service.
`static String` | `getUserIdAttribute()` Get the value of the User id Attribute.
`static String` | `getUserNameAttribute()` Deprecated. Use getNameAttribute()

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### LDAP_ADMIN_USERNAME_KEY

    public static final String LDAP_ADMIN_USERNAME_KEY

  Property key

  See Also:
    Constant Field Values

### LDAP_ADMIN_PASSWORD_KEY

    public static final String LDAP_ADMIN_PASSWORD_KEY

  Property key

  See Also:
    Constant Field Values

### LDAP_HOST_KEY

    public static final String LDAP_HOST_KEY

  Property key

  See Also:
    Constant Field Values

### LDAP_HOST_DEFAULT

    public static final String LDAP_HOST_DEFAULT

  Property default value

  See Also:
    Constant Field Values

### LDAP_PORT_KEY

    public static final String LDAP_PORT_KEY

  Property key

  See Also:
    Constant Field Values

### LDAP_PORT_DEFAULT

    public static final String LDAP_PORT_DEFAULT

  Property default value

  See Also:
    Constant Field Values

### LDAP_PROVIDER_KEY

    public static final String LDAP_PROVIDER_KEY

  Property key

  See Also:
    Constant Field Values

### LDAP_PROVIDER_DEFAULT

    public static final String LDAP_PROVIDER_DEFAULT

  Property default value

  See Also:
    Constant Field Values

### LDAP_BASE_SEARCH_KEY

    public static final String LDAP_BASE_SEARCH_KEY

  Property key

  See Also:
    Constant Field Values

### LDAP_AUTH_KEY

    public static final String LDAP_AUTH_KEY

  Property key

  See Also:
    Constant Field Values

### LDAP_AUTH_DEFAULT

    public static final String LDAP_AUTH_DEFAULT

  Property default value

  See Also:
    Constant Field Values

### LDAP_USER_USERID_KEY

    public static final String LDAP_USER_USERID_KEY

  Property key

  See Also:
    Constant Field Values

### LDAP_USER_USERID_DEFAULT

    public static final String LDAP_USER_USERID_DEFAULT

  Property default value

  See Also:
    Constant Field Values

### LDAP_USER_USERNAME_KEY

    public static final String LDAP_USER_USERNAME_KEY

  Property key

  See Also:
    Constant Field Values

### LDAP_USER_USERNAME_DEFAULT

    public static final String LDAP_USER_USERNAME_DEFAULT

  Property default value

  See Also:
    Constant Field Values

### LDAP_USER_FIRSTNAME_KEY

    public static final String LDAP_USER_FIRSTNAME_KEY

  Property key

  See Also:
    Constant Field Values

### LDAP_USER_FIRSTNAME_DEFAULT

    public static final String LDAP_USER_FIRSTNAME_DEFAULT

  Property default value

  See Also:
    Constant Field Values

### LDAP_USER_LASTNAME_KEY

    public static final String LDAP_USER_LASTNAME_KEY

  Property key

  See Also:
    Constant Field Values

### LDAP_USER_LASTNAME_DEFAULT

    public static final String LDAP_USER_LASTNAME_DEFAULT

  Property default value

  See Also:
    Constant Field Values

### LDAP_USER_EMAIL_KEY

    public static final String LDAP_USER_EMAIL_KEY

  Property key

  See Also:
    Constant Field Values

### LDAP_USER_EMAIL_DEFAULT

    public static final String LDAP_USER_EMAIL_DEFAULT

  Property default value

  See Also:
    Constant Field Values

### LDAP_USER_PASSWORD_KEY

    public static final String LDAP_USER_PASSWORD_KEY

  Property key

  See Also:
    Constant Field Values

### LDAP_USER_PASSWORD_DEFAULT

    public static final String LDAP_USER_PASSWORD_DEFAULT

  Property default value

  See Also:
    Constant Field Values

Constructor Detail

### LDAPSecurityConstants

    public LDAPSecurityConstants()

Method Detail

### getProperties

    public static Properties getProperties()

  Get all the properties for the security service.

  Returns:
    all the properties of the security service.

### getProperty

    public static String getProperty(String key)

  Get a property from the LDAP security service.

  Parameters:
    `key` - The key to access the value of the property.
  Returns:
    The value of the property.

### getProperty

    public static String getProperty(String key,
                                     String defaultValue)

  Get a property from the LDAP security service.

  Parameters:
    `key` - The key to access the value of the property.
    `defaultValue` - The value that the property takes when it doesn't exist.
  Returns:
    The value of the property.

### getAdminUsername

    public static String getAdminUsername()

  Get the value of the property for the administration username.

  Returns:
    the value of the property.

### getAdminPassword

    public static String getAdminPassword()

  Get the value of the property for the administration password.

  Returns:
    the value of the property.

### getLDAPHost

    public static String getLDAPHost()

  Get the value of the property for the LDAP Host.

  Returns:
    the value of the property.

### getLDAPPort

    public static String getLDAPPort()

  Get the value of the property for the LDAP Port.

  Returns:
    the value of the property.

### getLDAPProvider

    public static String getLDAPProvider()

  Get the value of the property for the LDAP Provider.

  Returns:
    the value of the property.

### getBaseSearch

    public static String getBaseSearch()

  Get value of the property for the Base Search.

  Returns:
    the value of the property.

### getLDAPAuthentication

    public static String getLDAPAuthentication()

  Get the value of the property for the Authentication mechanism. Valid values are: none, simple,

  Returns:
    the value of the property.

### getUserIdAttribute

    public static String getUserIdAttribute()

  Get the value of the User id Attribute.

  Returns:
    the value of the property.

### getNameAttribute

    public static String getNameAttribute()

  Get the value of the Username Attribute.

  Returns:
    the value of the property.

### getUserNameAttribute

    public static String getUserNameAttribute()

  Deprecated. Use getNameAttribute()

  Get the value of the Username Attribute.

  Returns:
    the value of the property.

### getFirstNameAttribute

    public static String getFirstNameAttribute()

  Get the value of the Firstname Attribute.

  Returns:
    the value of the property.

### getLastNameAttribute

    public static String getLastNameAttribute()

  Get the value of the Lastname Attribute.

  Returns:
    the value of the property.

### getPasswordAttribute

    public static String getPasswordAttribute()

  Get the value of the Password Attribute.

  Returns:
    the value of the property.

### getEmailAttribute

    public static String getEmailAttribute()

  Get the value of the E-Mail Attribute.

  Returns:
    the value of the property.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2011 The Apache Software Foundation. All Rights Reserved.